ParallelMultiSearcher (Lucene 3.6.2 API)
Keywords: org.apache.lucene.search.ParallelMultiSearcher class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Class ParallelMultiSearcher

    java.lang.Object
      org.apache.lucene.search.Searcher
          org.apache.lucene.search.MultiSearcher
              org.apache.lucene.search.ParallelMultiSearcher

All Implemented Interfaces:
  Closeable, Searchable

Deprecated. Please pass an ExecutorService to `IndexSearcher`, instead.

    @Deprecated
    public class ParallelMultiSearcher

extends MultiSearcher

Implements parallel search over a set of `Searchables`.

Applications usually need only call the inherited `Searcher.search(Query,int)` or `Searcher.search(Query,Filter,int)` methods.

Constructor Summary
`ParallelMultiSearcher(ExecutorService executor, Searchable... searchables)` Deprecated. Creates a `Searchable` which searches searchables with the specified ExecutorService.
`ParallelMultiSearcher(Searchable... searchables)` Deprecated. Creates a `Searchable` which searches searchables with the default executor service (a cached thread pool).

Method Summary
`void` | `close()` Deprecated. Frees resources associated with this Searcher.
`int` | `docFreq(Term term)` Deprecated. Executes each `Searchable`'s docFreq() in its own thread and waits for each search to complete and merge the results back together.
`void` | `search(Weight weight, Filter filter, Collector collector)` Deprecated. Lower-level search API.
`TopDocs` | `search(Weight weight, Filter filter, int nDocs)` Deprecated. A search implementation which executes each `Searchable` in its own thread and waits for each search to complete and merge the results back together.
`TopFieldDocs` | `search(Weight weight, Filter filter, int nDocs, Sort sort)` Deprecated. A search implementation allowing sorting which spans a new thread for each Searchable, waits for each search to complete and merges the results back together.

Methods inherited from class org.apache.lucene.search.MultiSearcher
`createNormalizedWeight, doc, doc, explain, getSearchables, getStarts, maxDoc, rewrite, subDoc, subSearcher`

Methods inherited from class org.apache.lucene.search.Searcher
`createWeight, docFreqs, explain, getSimilarity, search, search, search, search, search, search, setSimilarity`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParallelMultiSearcher

    public ParallelMultiSearcher(Searchable... searchables)
                          throws IOException

  Deprecated.
  Creates a `Searchable` which searches searchables with the default executor service (a cached thread pool).

  Throws:
    `IOException`

### ParallelMultiSearcher

    public ParallelMultiSearcher(ExecutorService executor,
                                 Searchable... searchables)
                          throws IOException

  Deprecated.
  Creates a `Searchable` which searches searchables with the specified ExecutorService.

  Throws:
    `IOException`

Method Detail

### docFreq

    public int docFreq(Term term)
                throws IOException

  Deprecated.
  Executes each `Searchable`'s docFreq() in its own thread and waits for each search to complete and merge the results back together.

  Specified by:
    `docFreq` in interface `Searchable`
  Overrides:
    `docFreq` in class `MultiSearcher`
  Throws:
    `IOException`
  See Also:
    `IndexReader.docFreq(Term)`

### search

    public TopDocs search(Weight weight,
                          Filter filter,
                          int nDocs)
                   throws IOException

  Deprecated.
  A search implementation which executes each `Searchable` in its own thread and waits for each search to complete and merge the results back together.

  Specified by:
    `search` in interface `Searchable`
  Overrides:
    `search` in class `MultiSearcher`
  Throws:
    `IOException`

### search

    public TopFieldDocs search(Weight weight,
                               Filter filter,
                               int nDocs,
                               Sort sort)
                        throws IOException

  Deprecated.
  A search implementation allowing sorting which spans a new thread for each Searchable, waits for each search to complete and merges the results back together.

  Specified by:
    `search` in interface `Searchable`
  Overrides:
    `search` in class `MultiSearcher`
  Throws:
    `IOException`

### search

    public void search(Weight weight,
                       Filter filter,
                       Collector collector)
                throws IOException

  Deprecated.
  Lower-level search API.

  `Collector.collect(int)` is called for every matching document.

  Applications should only use this if they need all of the matching documents. The high-level search API (`Searcher.search(Query,int)`) is usually more efficient, as it skips non-high-scoring hits.

  This method cannot be parallelized, because `Collector` supports no concurrent access.

  Specified by:
    `search` in interface `Searchable`
  Overrides:
    `search` in class `MultiSearcher`
  Parameters:
    `weight` - to match documents
    `filter` - if non-null, a bitset used to eliminate some documents
    `collector` - to receive hits
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Deprecated.
  Description copied from interface: `Searchable`
  Frees resources associated with this Searcher. Be careful not to call this method while you are still using objects that reference this Searchable.

  Specified by:
    `close` in interface `Closeable`
  Specified by:
    `close` in interface `Searchable`
  Overrides:
    `close` in class `MultiSearcher`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD